# png::pixel_buffer< pixel > Class Template Reference

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::pixel_buffer< pixel >:

List of all members.

## Public Member Functions

| pixel_buffer ()
| pixel_buffer (size_t width, size_t height)

## Detailed Description

### template<typename pixel>
class png::pixel_buffer< pixel >

The pixel_buffer specialization for unpacked pixels.

## Constructor & Destructor Documentation

template<typename pixel >

png::pixel_buffer< pixel >::pixel_buffer | ( | ) | `[inline]`

template<typename pixel >

png::pixel_buffer< pixel >::pixel_buffer | ( | size_t | width,
|  | size_t | height
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- pixel_buffer.hpp